// creator  : weidu.exe (version 23600)
// argument : DELTAN2.DLG
// game     : .
// source   : ./override/DELTAN2.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DELTAN2~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #16991 /* ~I am again in your debt. That creature has kept me helpless for too long. Perhaps if I hadn't been incapacitated I might have been able to prevent Scar's death. *cough* Angelo will soon hear of my recovery. It is important that you take me away from here; I'm sure Angelo won't want me coherent and among the living. Take me to the Harbor Master's building. The Harbor Master is a good friend of mine. I can rest there until I'm fully recovered. Take this letter, I managed to filch it off Rashad when he was "caring" for me. From what I read of it, it seems that Sarevok has dire plans for the city. I fear for the lives of my fellow Dukes, Liia and Belt. If they were to die, Sarevok would take over the city. You must find Slythe and Krystin, and stop them... *cough* Hurry, we must make haste.~ */
  IF ~~ THEN DO ~GiveItemCreate("MISC55",LastTalkedToBy,0,0,0)
GiveItemCreate("SCRL2R",LastTalkedToBy,0,0,0)
AddJournalEntry(26959,QUEST)
DestroySelf()
~ UNSOLVED_JOURNAL #26960 /* ~Slythe and Krystin
We must travel to the Undercellar and find Slythe and Krystin, two of Sarevok's assassins. Eltan thinks that Sarevok may want to murder the Grand Dukes Belt and Liia. We must make sure that this doesn't happen.~ */ EXIT
  IF ~Global("X#DynaheirEltan1","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirEltan1","GLOBAL",1)~ EXTERN ~DYNAHJ~ 74
END

IF ~~ THEN BEGIN 1 // from:
  SAY #16992 /* ~I should be safe here. In the mean time, you have quite the task ahead of you. If I'm right, the Iron Throne is going to stage a coup. You're the only ones who'll be able to stop them.~ */
  IF ~~ THEN EXIT
  IF ~Global("X#DynaheirEltan2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirEltan2","GLOBAL",1)~ EXTERN ~DYNAHJ~ 75
END

IF ~~ THEN BEGIN 2 // from:
  SAY #16993 /* ~What are you still doing here? You have much to do, hurry!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: DYNAHJ:74.1
  SAY #46298 /* ~Madam, I would have us concentrating on the happenings in Baldur's Gate for now.~ */
  IF ~~ THEN DO ~GiveItemCreate("MISC55",LastTalkedToBy,0,0,0)
GiveItemCreate("SCRL2R",LastTalkedToBy,0,0,0)
AddJournalEntry(26959,QUEST)
DestroySelf()
~ UNSOLVED_JOURNAL #26960 /* ~Slythe and Krystin
We must travel to the Undercellar and find Slythe and Krystin, two of Sarevok's assassins. Eltan thinks that Sarevok may want to murder the Grand Dukes Belt and Liia. We must make sure that this doesn't happen.~ */ EXIT
END
